addFavorites.v1
POST
/shopgate.user.addFavorites.v1
Adds a product to a favorite list of the user. This pipeline is being used in Engage Theme versions 6.7.0 and higher.
favoritesListId is only sent by apps that support multiple favorite lists. Without it the product is added to the single list of the user.
quantity and notes are only sent when the corresponding app settings are enabled.
Request Body
Section titled “Request Body”Media typeapplication/json
object
productId
required
productId
The ID of the product
string
Example
abc123favoritesListId
favoritesListId
The ID of the favorite list. Apps without support for multiple favorite lists use the implicit list DEFAULT.
string
Example
1quantity
favoritesQuantity
The quantity of the product on the list. Only sent when the quantity setting is enabled for the app.
integer
Example
2notes
favoritesNotes
A note the user stored with the product. Only sent when the notes setting is enabled for the app.
string
Example
For the blue oneResponses
Section titled “Responses”Returns an empty object.
Media typeapplication/json
object
Examplegenerated
{}EUNKNOWN
Section titled “EUNKNOWN”Returns one or multiple error messages.
Media typeapplication/json

